%script to erode finite initial fault scarp
xmin=-10;
dx=.005;
xmax=10;
x=(xmin:dx:xmax);

a=1;
k=1;
bdegrees=5;
thetadegrees=45;
t=0.0001;
hinitial=finitescarp(thetadegrees,a, x, t, k,bdegrees);

figure(1)
clf
plot(x,hinitial,'b--')
xlabel('Distance (m)')
ylabel('Elevation (m)')
title('Finite initial fault scarp erosion with time for \kappa t=1,5,10,15 m^2')
axis equal
axis([xmin xmax min(hinitial) max(hinitial)])

hold on
hone=finitescarp(thetadegrees,a,x,1,k,bdegrees);
plot(x,hone,'k-')
hfive=finitescarp(thetadegrees,a,x,5,k,bdegrees);
plot(x,hfive,'k-')
hten=finitescarp(thetadegrees,a,x,10,k,bdegrees);
plot(x,hten,'k-')
hfifteen=finitescarp(thetadegrees,a,x,15,k,bdegrees);
plot(x,hfifteen,'k-')
print -depsc finite.eps